#
# Auto-reduction script for 8K-mosaic CCD camera attached to the UH88.
#
#      2008.12.09  --- Ver.0.0
#
# 0.0: Removing temporal files 

#!rm -fr ___*.*

#
# 1.0: Making data list files

!ls -1 RAW/*.fits > ___raw.lst
!awk '{if(substr($1,16,1)==0){print $1}}' ___raw.lst > ___raw0.lst
!awk '{if(substr($1,16,1)==1){print $1}}' ___raw.lst > ___raw1.lst
!awk '{if(substr($1,16,1)==2){print $1}}' ___raw.lst > ___raw2.lst
!awk '{if(substr($1,16,1)==3){print $1}}' ___raw.lst > ___raw3.lst
!awk '{if(substr($1,16,1)==4){print $1}}' ___raw.lst > ___raw4.lst
!awk '{if(substr($1,16,1)==5){print $1}}' ___raw.lst > ___raw5.lst
!awk '{if(substr($1,16,1)==6){print $1}}' ___raw.lst > ___raw6.lst
!awk '{if(substr($1,16,1)==7){print $1}}' ___raw.lst > ___raw7.lst

imhe @___raw0.lst l+ > ___raw0-1.lst
imhe @___raw1.lst l+ > ___raw1-1.lst
imhe @___raw2.lst l+ > ___raw2-1.lst
imhe @___raw3.lst l+ > ___raw3-1.lst
imhe @___raw4.lst l+ > ___raw4-1.lst
imhe @___raw5.lst l+ > ___raw5-1.lst
imhe @___raw6.lst l+ > ___raw6-1.lst
imhe @___raw7.lst l+ > ___raw7-1.lst

!grep 'IMAGETYP' ___raw0-1.lst | awk '{if(substr($2,2,9)=="FLATFIELD"){print substr($2,2,9)}else{print substr($2,2)}}' > ___raw0-typ.lst
!grep 'IMAGETYP' ___raw1-1.lst | awk '{if(substr($2,2,9)=="FLATFIELD"){print substr($2,2,9)}else{print substr($2,2)}}' > ___raw1-typ.lst
!grep 'IMAGETYP' ___raw2-1.lst | awk '{if(substr($2,2,9)=="FLATFIELD"){print substr($2,2,9)}else{print substr($2,2)}}' > ___raw2-typ.lst
!grep 'IMAGETYP' ___raw3-1.lst | awk '{if(substr($2,2,9)=="FLATFIELD"){print substr($2,2,9)}else{print substr($2,2)}}' > ___raw3-typ.lst
!grep 'IMAGETYP' ___raw4-1.lst | awk '{if(substr($2,2,9)=="FLATFIELD"){print substr($2,2,9)}else{print substr($2,2)}}' > ___raw4-typ.lst
!grep 'IMAGETYP' ___raw5-1.lst | awk '{if(substr($2,2,9)=="FLATFIELD"){print substr($2,2,9)}else{print substr($2,2)}}' > ___raw5-typ.lst
!grep 'IMAGETYP' ___raw6-1.lst | awk '{if(substr($2,2,9)=="FLATFIELD"){print substr($2,2,9)}else{print substr($2,2)}}' > ___raw6-typ.lst
!grep 'IMAGETYP' ___raw7-1.lst | awk '{if(substr($2,2,9)=="FLATFIELD"){print substr($2,2,9)}else{print substr($2,2)}}' > ___raw7-typ.lst

!grep 'EXPTIME' ___raw0-1.lst | awk '{print $3}' > ___raw0-exp.lst
!grep 'EXPTIME' ___raw1-1.lst | awk '{print $3}' > ___raw1-exp.lst
!grep 'EXPTIME' ___raw2-1.lst | awk '{print $3}' > ___raw2-exp.lst
!grep 'EXPTIME' ___raw3-1.lst | awk '{print $3}' > ___raw3-exp.lst
!grep 'EXPTIME' ___raw4-1.lst | awk '{print $3}' > ___raw4-exp.lst
!grep 'EXPTIME' ___raw5-1.lst | awk '{print $3}' > ___raw5-exp.lst
!grep 'EXPTIME' ___raw6-1.lst | awk '{print $3}' > ___raw6-exp.lst
!grep 'EXPTIME' ___raw7-1.lst | awk '{print $3}' > ___raw7-exp.lst

!paste ___raw0.lst ___raw0-typ.lst ___raw0-exp.lst > ___raw0-log.lst 
!paste ___raw1.lst ___raw1-typ.lst ___raw1-exp.lst > ___raw1-log.lst 
!paste ___raw2.lst ___raw2-typ.lst ___raw2-exp.lst > ___raw2-log.lst 
!paste ___raw3.lst ___raw3-typ.lst ___raw3-exp.lst > ___raw3-log.lst 
!paste ___raw4.lst ___raw4-typ.lst ___raw4-exp.lst > ___raw4-log.lst 
!paste ___raw5.lst ___raw5-typ.lst ___raw5-exp.lst > ___raw5-log.lst 
!paste ___raw6.lst ___raw6-typ.lst ___raw6-exp.lst > ___raw6-log.lst 
!paste ___raw7.lst ___raw7-typ.lst ___raw7-exp.lst > ___raw7-log.lst 





